Package com.xebialabs.deployit.plugin.api.flow

# Enum Class StepExitCode

java.lang.Object
java.lang.Enum<StepExitCode>
com.xebialabs.deployit.plugin.api.flow.StepExitCode

All Implemented Interfaces:
  `Serializable`, `Comparable<StepExitCode>`, `Constable`

public enum StepExitCode extends Enum<StepExitCode>
Return codes that should be returned from a step during execution.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FAIL`
  The step failed to execute, and should be skipped or retried manually.
  `PAUSE`
  The step requested the execution to be paused.
  `RETRY`
  Retries the step in a configurable amount of seconds
  `SUCCESS`
  Step was executed successfully.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StepExitCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StepExitCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final StepExitCode SUCCESS
    Step was executed successfully.

  - ### FAIL

    public static final StepExitCode FAIL
    The step failed to execute, and should be skipped or retried manually.

  - ### PAUSE

    public static final StepExitCode PAUSE
    The step requested the execution to be paused.

  - ### RETRY

    public static final StepExitCode RETRY
    Retries the step in a configurable amount of seconds

- ## Method Details

  - ### values

    public static StepExitCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StepExitCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null